#
# spec file for package python-pick
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pick
Version:        2.2.0
Release:        2.3
Summary:        Curses-based interactive selection list module
License:        MIT
URL:            https://github.com/wong2/pick
Source0:        https://github.com/wong2/pick/archive/v%{version}.tar.gz#/pick-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core >= 1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module curses}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
pick is a Python library to help create curses-based
interactive selection list in the terminal.

%prep
%setup -q -n pick-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/pick
%{python_sitelib}/pick-%{version}.dist-info

%changelog
* Wed May 31 2023 Ben Greiner <code@bnavigator.de>
- poetry-core is enough to build
* Tue Dec  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.2.0
  * Add option to pass in existing screen.
* Sun Nov  6 2022 Luigi Baldoni <aloisio@gmx.com>
- Update to version 2.1.0
  * Change the way scroll is handled.
  version 2.0.2:
  * Remove the additional space
  version 2.0.1:
  * Change multiselect symbols
  * Bump pytest from 7.1.2 to 7.1.3
  version 2.0.0:
  * Add Option class
  * Drop options_map_func
  * Drop register_custom_handler
  * Remove docstrings
  * Add multiselect example gif
  * Use markdown for README
  version 1.6.0:
  * Update multiselect mode style
  * Add multiselect example
  * Fix examples
  * Bump pytest from 6.2.5 to 7.1.2
  * Bump mypy from 0.961 to 0.971
  version 1.5.0:
  * Fix mypy call in ci
  * Create dependabot.yml
  * Add static type checking to ci
  * Check static type with pytest
  * Format code
  * Change list to sequence for Picker.options
  * Rename all_selected to selected_indexes
* Sun Jul 24 2022 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.4.0
  * Drop support for Python 3.6
  * Add pre-commit config
  * pick returns single tuple when multiselect=False
  version 1.3.1:
  * Bump version
  version 1.3.0:
  Add type hints
  version 1.2.0:
  * Fixed support for Python 3.6
  version 1.1.1:
  * Bump version
  version 1.1.0:
  * Fixes missing `screen` on call to `self.draw`
  version 1.0.0:
  * Drop python2 support
* Mon Mar 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 0.6.7
  * Simplify pick function arguments
* Thu Jan 30 2020 aloisio@gmx.com
- Update to version 0.6.6
  * Fix for error _curses.error: use_default_colors() returned
    ERR
  * Updated Python test matrix
  * Rename multi_select to multiselect
  * Make print a function in the readme
  * Update README and convert it to RST for PyPI
- Dropped group tag
* Mon Jun  3 2019 Petr Gajdos <pgajdos@suse.com>
- turn the testsuite on
* Tue Jan 22 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Sat Jan 19 2019 Luigi Baldoni <aloisio@gmx.com>
- Replaced tarball with current one
- Removed tests (units no longer supplied)
* Sun Dec 16 2018 munix9@googlemail.com
- initial package for version 0.6.4
